package com.soss.system.domain;

import com.soss.common.annotation.Excel;
import com.soss.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;
import java.util.List;

/**
 * 用户信息对象 customer
 * 
 * @author zxq
 * @date 2022-05-01
 */
@Data
public class Customer extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private String id;

    /** 用户名称 */
    @Excel(name = "用户名称")
    private String userName;

    /**
     * 手机号
     */
    @Excel(name = "手机号")
    private String phone;

    /**
     * 头像图地址
     */
    @Excel(name = "头像图地址")
    private String headSculpturePath;

    @ApiModelProperty("性别")
    private Boolean sex;

    @ApiModelProperty("生日")
    private Date birthday;

    /**
     * 用户来源
     */
    @Excel(name = "用户来源")
    private String soucre;

    private List<Order> cancelOrder;

    private String allow;

    private List<Order> refundOrder;
    private List<Order> normalOrder;

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("userName", getUserName())
            .append("phone", getPhone())
            .append("createTime", getCreateTime())
            .append("headSculpturePath", getHeadSculpturePath())
            .append("soucre", getSoucre())
            .toString();
    }
}
